Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class IBMJSSESocketFactory

    java.lang.Object
      org.apache.axis.components.net.DefaultSocketFactory
          org.apache.axis.components.net.JSSESocketFactory
              org.apache.axis.components.net.IBMJSSESocketFactory

All Implemented Interfaces:
  SecureSocketFactory, SocketFactory

Direct Known Subclasses:
  IBMFakeTrustSocketFactory

public class IBMJSSESocketFactory
extends JSSESocketFactory
implements SecureSocketFactory

SSL socket factory. It _requires_ a valid RSA key and JSSE. (borrowed code from tomcat)

Author:
  Davanum Srinivas (dims@yahoo.com)

Field Summary

Fields inherited from class org.apache.axis.components.net.JSSESocketFactory
`sslFactory`

Fields inherited from class org.apache.axis.components.net.DefaultSocketFactory
`attributes, CONNECT_TIMEOUT, log`

Constructor Summary
`IBMJSSESocketFactory(java.util.Hashtable attributes)` Constructor IBMJSSESocketFactory

Method Summary
`protected com.ibm.net.ssl.SSLContext` | `getContext()` gets a SSL Context
`protected void` | `initFactory()` Read the keystore, init the SSL socket factory

Methods inherited from class org.apache.axis.components.net.JSSESocketFactory
`create`

Methods inherited from class org.apache.axis.components.net.DefaultSocketFactory
`isHostInNonProxyList, match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.components.net.SocketFactory
`create`

Constructor Detail

### IBMJSSESocketFactory

    public IBMJSSESocketFactory(java.util.Hashtable attributes)

  Constructor IBMJSSESocketFactory

Parameters:
  `attributes` -

Method Detail

### initFactory

    protected void initFactory()
                        throws java.io.IOException

  Read the keystore, init the SSL socket factory

  Overrides:
    `initFactory` in class `JSSESocketFactory`
  Throws:
    `java.io.IOException`

### getContext

    protected com.ibm.net.ssl.SSLContext getContext()
                                             throws java.lang.Exception

  gets a SSL Context

  Returns:
    SSLContext
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.